PDA

View Full Version : what firmware do you need to backup games to memory stick



micklick
December 11th, 2005, 02:47
I just bough­ a psp from gamestop and it has 1.52 on it. Will I be able to copy my newer games that use 2.0 to the memory stick, or do I need a 1.5 to run that thing that tricks the psp into thinking its a 2.0 so you can play games off the stick. Any help please! Thanks

urmom9388
December 11th, 2005, 03:27
you need 1.5 You can downgrade from 2.0